net.sourceforge.pmd.lang.java.rule.strings

## Class AvoidDuplicateLiteralsRule.ExceptionParser

- java.lang.Object
- - net.sourceforge.pmd.lang.java.rule.strings.AvoidDuplicateLiteralsRule.ExceptionParser

- Enclosing class:
    AvoidDuplicateLiteralsRule

      public static class AvoidDuplicateLiteralsRule.ExceptionParser
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvoidDuplicateLiteralsRule.ExceptionParser(char delimiter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `parse(String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvoidDuplicateLiteralsRule.ExceptionParser

          public AvoidDuplicateLiteralsRule.ExceptionParser(char delimiter)

  - ### Method Detail

    - #### parse

          public Set<String> parse(String s)

Copyright © 2002-2013 InfoEther. All Rights Reserved.